﻿namespace Desarrollo
{
    //------------------------------------------------------------------------------
    // <auto-generated>
    //     Este código fue generado por una herramienta.
    //     Versión de runtime:4.0.30319.34209
    //
    //     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
    //     se vuelve a generar el código.
    // </auto-generated>
    //------------------------------------------------------------------------------

    using System.Xml.Serialization;

    // 
    // This source code was auto-generated by xsd, Version=4.0.30319.33440.
    // 


    /// <comentarios/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true, Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/SelloDigitalContElec")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "www.sat.gob.mx/esquemas/ContabilidadE/1_1/SelloDigitalContElec", IsNullable = false)]
    public partial class SelloDigitalContElec
    {

        private string versionField;

        private string folioField;

        private string rFCField;

        private System.DateTime fechadeSelloField;

        private string selloField;

        private string noCertificadoSATField;

        private string selloSATField;

        public SelloDigitalContElec()
        {
            this.versionField = "1.1";
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Version
        {
            get
            {
                return this.versionField;
            }
            set
            {
                this.versionField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string Folio
        {
            get
            {
                return this.folioField;
            }
            set
            {
                this.folioField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string RFC
        {
            get
            {
                return this.rFCField;
            }
            set
            {
                this.rFCField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public System.DateTime FechadeSello
        {
            get
            {
                return this.fechadeSelloField;
            }
            set
            {
                this.fechadeSelloField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string sello
        {
            get
            {
                return this.selloField;
            }
            set
            {
                this.selloField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string noCertificadoSAT
        {
            get
            {
                return this.noCertificadoSATField;
            }
            set
            {
                this.noCertificadoSATField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string selloSAT
        {
            get
            {
                return this.selloSATField;
            }
            set
            {
                this.selloSATField = value;
            }
        }
    }
}